ShortCachedClass (Groovy 2.4.11)
Date: 2017-04-27

org.codehaus.groovy.reflection.stdclasses

## Class ShortCachedClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
    - - org.codehaus.groovy.reflection.stdclasses.ShortCachedClass

-     public class ShortCachedClass
      extends NumberCachedClass

  Author:
    Alex.Tkachman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `coerceArgument(Object argument)`
    `boolean` | `isAssignableFrom(Class classToTransformFrom)`
    `boolean` | `isDirectlyAssignable(Object argument)`

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortCachedClass

          public ShortCachedClass(Class klazz,
                                  ClassInfo classInfo,
                                  boolean allowNull)

  - ### Method Detail

    - #### coerceArgument

          public Object coerceArgument(Object argument)

      Overrides:
        `coerceArgument` in class `NumberCachedClass`

    - #### isDirectlyAssignable

          public boolean isDirectlyAssignable(Object argument)

      Overrides:
        `isDirectlyAssignable` in class `CachedClass`

    - #### isAssignableFrom

          public boolean isAssignableFrom(Class classToTransformFrom)

      Overrides:
        `isAssignableFrom` in class `NumberCachedClass`